const Constants = require('@/utils/Constants.js');
const util = require('@/utils/util.js')
const mixins = require('@/mixins/index.js')
const app = getApp()
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: {
    // 路由
    routeObjName: 'select-product-types',
    tableData: [],
    goodsCategoryService: app.globalData['goodsCategoryService'],
  },
   /**
  * @desc :   列表点击事件
  * @date : 2024/2/1 15:49
  * @author : 于继渤
  */ 
  clickName(e) {
    console.log("clickName回调", e)
    const eventChannel = this.getOpenerEventChannel();
    eventChannel.emit('bindData', { data: { id: e.detail.id, name: e.detail.name } })
    wx.navigateBack({
      delta: 1
    })
  },
  /**
  * @desc :   处理接口返回数据
  * @date : 2024/2/1 15:49
  * @author : 于继渤
  */
  handleSearchData(tableData) {
    this.setData({
      tableData: util.convertToChildren(tableData, 'parentId', 'catId', null)
    })
    const myComponent = this.selectComponent('#treeSelect');
    myComponent.setDataFromPage(this.data.tableData);
  },
    /**
   * @desc : 设置查询参数
   * @author : 于继渤
   * @date : 2024/1/23 9:16
   */
  setSearchParams(params){
    params.pageSize = 100000
    params.currentPage = 1 
    params.flgValid = true
    return params
  },

  /**
   * @desc : 加载数据
   * @author : 于继渤
   * @date : 2024/1/23 9:16
   */
  getData(params) {
    return this.excute(this.data.goodsCategoryService, this.data.goodsCategoryService.selectByCond, params);
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})